Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 84990 - ABI compatability broken with the move to guile 1.6
Summary: ABI compatability broken with the move to guile 1.6
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: guile
Version: 9
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Phil Knirsch
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-24 19:05 UTC by Gregory Leblanc
Modified: 2015-03-05 01:12 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-10-27 10:47:14 UTC


Attachments (Terms of Use)

Description Gregory Leblanc 2003-02-24 19:05:34 UTC
Description of problem:
The latest betas and rawhide contain guile 1.6, whereas Red Hat Linux 8.0 was
using guile 1.4.  The shared object versions are different as a result of this
change (libguile.so.9 in 8.0, libguile.so.12 in 8.0.94).  This breaks
installation of several third-party packages.  When similar ABI compatability
changes have come up, a package with the old shared objects has been provided
(usually something like libguile9). 

How reproducible:
Always

Comment 1 Phil Knirsch 2003-10-27 10:47:14 UTC
For guile it wasn't seen as important to do a compat lib. We usually only do
them for libraries that have a large impact on our own previous releases and 3rd
party software.

I'd be interessted to know which 3rd party software breaks though.

Read ya, Phil


Note You need to log in before you can comment on or make changes to this bug.